您無法在已安裝的.NET Framework 4.6 的電腦上安裝 WSUS 3.2

請注意--重要:本文是以 Microsoft 機器翻譯軟體翻譯而成,且可能由 Microsoft Community 利用 Community Translation Framework技術或人工進行事後編修。翻譯過程並無專業譯者參與。Microsoft 同時提供使用者人為翻譯、機器翻譯及社群編修後的機器翻譯三種版本的文章,讓使用者可以依其使用語言使用知識庫中的所有文章。但是,所有翻譯文章都可能不盡完美,內容都可能出現詞彙、語意或文法上的錯誤。就翻譯內容之不正確或錯誤,或客戶因使用翻譯內容所產生的任何損害,微軟不負擔任何責任。Microsoft將依合理的商業努力不斷地更新機器翻譯軟體和工具,以期能為使用者提供更好的服務。

按一下這裡查看此文章的英文版本:3045727
徵狀
假設您已在您的電腦上安裝 Microsoft.NET Framework,4.6 RC 或較新版的.NET Framework。當您嘗試安裝 Windows 伺服器更新服務 (WSUS) 3.2 時,您會收到下列錯誤訊息:
沒有這個 Windows 安裝程式套件有問題。安裝程式的一部分執行的程式並未如預期般完成。請連絡您的支援人員或套件廠商。
此外,下列的訊息會記錄在 WSUSSetup.log 檔案:
安裝 WSUS: WSUS 安裝失敗 (錯誤 0x80070643: 安裝時發生嚴重錯誤。)
附註:
  • 這個問題也會發生在系統中心組態管理員 (SCCM),因為軟體更新點站台角色相依於 WSUS。WSUS 是所需的軟體更新同步處理和相容性評估掃描 SCCM 用戶端上。
  • 如果您安裝 WSUS 3.2 之前,先安裝蒐羅網路架構 4.6,才會發生這個問題。
發生的原因
WSUS 3.2 無法正確地偵測新安裝的.NET Framework 版本,就會發生這個問題。
解決方案
若要解決這個問題,請依照下列步驟執行:
  1. 解除安裝 Microsoft .NET Framework 4.6
  2. 安裝 WSUS 3.2
  3. 重新安裝.NET Framework Microsoft 4.6
如需有關在.NET Framework 4.6 RC 已知問題的詳細資訊,請參閱 .NET Framework 4.6 RC 已知的問題.

如需有關已知問題,在.NET Framework 表 4.6] 的詳細資訊,請參閱 .NET Framework 表 4.6] 的已知的問題.

其他相關資訊
如需有關產品版本控制變更 andtheir 效果,在.NET Framework 表 4.6] 的詳細資訊,請參閱在.NET Framework 表 4.6] 的應用程式相容性.

警告:本文為自動翻譯

內容

文章識別碼:3045727 - 最後檢閱時間:01/17/2016 10:02:00 - 修訂: 4.0

Microsoft .NET Framework 4.6

  • kbsurveynew kbexpertiseadvanced kbtshoot kbmt KB3045727 KbMtzh
意見反應